Create flow stage
Create flow stage. See the OpenAPI-defined parameters, request body, and responses below.
POST
/FlowStageCreate flow stage. See the OpenAPI-defined parameters, request body, and responses below.
Authentication
Authentication required. Send your user API key in the X-API-Key header.
Parameters
This operation has no path, query, or header parameters.
Request body
Content type: application/json · Schema: FlowStageDto
| Property | Type | Required | Description | Constraints |
|---|---|---|---|---|
id | integer · int32 | No | — | — |
flowId | integer · int32 | No | — | — |
name | string | No | — | nullable |
order | integer · int32 | No | — | — |
responsibleUserId | integer · int32 | No | — | nullable |
responsibleAgentId | integer · int32 | No | — | nullable |
isInitial | boolean | No | — | — |
isFinal | boolean | No | — | — |
color | string | No | — | nullable |
wipLimit | integer · int32 | No | — | nullable |
createdAt | string · date-time | No | — | nullable |
updatedAt | string · date-time | No | — | nullable |
Example request
curl --request POST \
--url 'https://api.zild.ai/FlowStage' \
--header 'X-API-Key: YOUR_USER_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"id": 0,
"flowId": 0,
"name": "string",
"order": 0,
"responsibleUserId": 0,
"responsibleAgentId": 0,
"isInitial": true,
"isFinal": true,
"color": "string",
"wipLimit": 0,
"createdAt": "2026-09-22T18:00:00Z",
"updatedAt": "2026-09-22T18:00:00Z"
}'
Responses
| Status | Description | Response body |
|---|---|---|
200 | OK | No response body is defined. |
Data models
FlowStageDto
| Property | Type | Required | Description | Constraints |
|---|---|---|---|---|
id | integer · int32 | No | — | — |
flowId | integer · int32 | No | — | — |
name | string | No | — | nullable |
order | integer · int32 | No | — | — |
responsibleUserId | integer · int32 | No | — | nullable |
responsibleAgentId | integer · int32 | No | — | nullable |
isInitial | boolean | No | — | — |
isFinal | boolean | No | — | — |
color | string | No | — | nullable |
wipLimit | integer · int32 | No | — | nullable |
createdAt | string · date-time | No | — | nullable |
updatedAt | string · date-time | No | — | nullable |